﻿using AutoMapper;
using Txgy.RBS.DbModel;
using Txgy.RBS.DbModel.Models;
using Txgy.RBS.DTO;
using Txgy.RBS.DTO.Reception;
using Txgy.RBS.Framework;

namespace Txgy.RBS.IServices
{
    public class AutoMapObject : Profile
    {
        public AutoMapObject()
        {
            CreateMap<result_json, ResultJsonDTO>().ReverseMap();
            CreateMap<project_info, ProjectInfoDTO>().ReverseMap();
            CreateMap<stations, StationsDTO>().ReverseMap();
            CreateMap<time_tab, TimeTabDTO>().ReverseMap();
            CreateMap<global_config,GlobalConfigDTO>().ReverseMap();
        }
    }
}
