﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Txgy.RBS.DbModel.Models;
using Txgy.RBS.Framework.Api;
using Txgy.RBS.IServices;

namespace Txgy.RBS.IServices
{
    public interface IProjectInfoService : IBaseService
    {
        ApiResult AddProjectInfo(ProjectInfoDTO project);

        ApiResult DeleteProjectInfo(int id);

        ApiResult UpdateProjectInfo(ProjectInfoDTO project);

        ProjectInfoDTO GetProjectInfo(int id);
     
        List<ProjectInfoDTO> GetAllProjectInfo();

        ProjectInfoDTO GetCurrentProjectInfo();  
      
    }
}
