﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Txgy.RBS.DbModel.Models;
using Txgy.RBS.DTO;
using Txgy.RBS.Framework.Api;
using Txgy.RBS.IServices;

namespace Txgy.RBS.IServices
{
    public interface IResultInfoService : IBaseService
    {
        ApiResult AddResultInfo(ResultJsonDTO resultJsonDTO);

        ApiResult DeleteResultInfo(int id);

        ApiResult UpdateResultInfo(ResultJsonDTO resultJsonDTO);

        ResultJsonDTO GetResultInfo(int id);
     
        List<ResultJsonDTO> GetAllResultInfo();
      
    }
}
