﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Txgy.RBS.DbModel.Models;
using Txgy.RBS.Framework.Api;
using Txgy.RBS.IServices;

namespace Txgy.RBS.IServices
{
    public interface IStationsService : IBaseService
    {
        ApiResult AddStations(StationsDTO stationsDTO);

        ApiResult DeleteStations(int id);

        ApiResult UpdateStations(StationsDTO stationsDTO);

        StationsDTO GetStations(int id);
     
        List<StationsDTO> GetAllStations();
      
    }
}
